package cn.com.infosec.asn1;

import java.io.IOException;

public class BERSetParser implements ASN1SetParser {
   private ASN1StreamParser _parser;

   BERSetParser(ASN1StreamParser parser) {
      this._parser = parser;
   }

   public DEREncodable readObject() {
      return this._parser.readObject();
   }

   public DERObject getDERObject() {
      try {
         return new BERSet(this._parser.readVector(), false);
      } catch (IOException var1) {
         throw new IllegalStateException(var1.getMessage());
      }
   }
}
